GDPR Art. 21 — Right to object
POST
/api/v1/export/object
const url = 'https://api.ultimateteam.ai/api/v1/export/object';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"objection_type":"direct_marketing","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/export/object \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "objection_type": "direct_marketing", "reason": "example" }'Records an objection to a specific data processing activity and halts that processing for the authenticated tenant. Objection flags are stored in tenant settings.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ObjectionRequest
Request body for POST /export/object (GDPR Art. 21).
Attributes: objection_type: The specific processing activity being objected to. reason: Human-readable justification for the objection.
object
objection_type
required
Objection Type
Type of processing to object to: ‘direct_marketing’, ‘profiling’, or ‘automated_decision’
string
reason
required
Reason
Reason for the objection
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ObjectionResponse
Response body for POST /export/object (GDPR Art. 21).
Attributes: request_id: Unique identifier for this objection record (audit trail). objection_type: The processing activity now halted. status: ‘accepted’. message: Human-readable description.
object
message
required
Message
string
objection_type
required
Objection Type
string
request_id
required
Request Id
string format: uuid
status
required
Status
string
Examplegenerated
{ "message": "example", "objection_type": "example", "request_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}